Name:           amahi-tunes5
Version: 1.0
Release:        2
Summary:        AmahiTunes is an Amahi application to manage Firely, the iTunes streaming server
Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       hdactl hda-platform mt-daapd
Obsoletes:      hda-app-amahitunes amahi-tunes

%define debug_package %{nil}

%description
amahi-tunes (a.k.a. AmahiTunes) is an Amahi app to
manage Firefly, the iTunes media server.
(C) 2010, Amahi
%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/hda/apps/amahitunes
rsync -a mt-daapd.conf $RPM_BUILD_ROOT/var/hda/apps/amahitunes/
rsync -a music $RPM_BUILD_ROOT/var/hda/apps/amahitunes/
rsync -a app $RPM_BUILD_ROOT/var/hda/apps/amahitunes/

%clean
rm -rf $RPM_BUILD_ROOT

%post
chown apache:users /var/hda/apps/amahitunes/mt-daapd.conf
chmod 664 /var/hda/apps/amahitunes/mt-daapd.conf
mv /etc/mt-daapd.conf /etc/mt-daapd.conf.rpmsave
ln -s /var/hda/apps/amahitunes/mt-daapd.conf /etc/mt-daapd.conf
mkdir -p /var/hda/files/music
/sbin/chkconfig mt-daapd on
/sbin/service mt-daapd stop &> /dev/null
/sbin/service mt-daapd start &> /dev/null
/sbin/service httpd reload &> /dev/null

if  [[ -z $(ls /var/hda/files/music/) ]] ; then
	rsync -a /var/hda/apps/amahitunes/music/ /var/hda/files/music/
	chown -R 500:users /var/hda/files/music
fi

%preun
if [ "$1" = 0 ]; then
	# an uninstall
	/sbin/service mt-daapd stop &> /dev/null
	/sbin/chkconfig mt-daapd off
	/sbin/chkconfig --del mt-daapd
	/sbin/service httpd reload &> /dev/null
	mv /etc/mt-daapd.conf.rpmsave /etc/mt-daapd.conf
else
	# update
	( /usr/bin/killall mt-daapd && rm -f /var/run/mt-daapd.pid ) &> /dev/null
	# rely on monit to restart it properly see http://bugs.amahi.org/issues/show/21
	/sbin/service httpd reload &> /dev/null
fi

%files
%defattr(-,root,root,-)
/var/hda/apps/amahitunes/*

%changelog
* Sun Feb 21 2010 Guillaume Boudreau
- re-packaging to make this work on Amahi 5
* Mon Apr 14 2009 Carlos Puchol
- change to amahi-tunes to support the new style apps
* Tue Jun 26 2008 Carlos Puchol
- initial version
